=== debian/changelog ===
quakespasm (0.95.1+dfsg-2) unstable; urgency=medium

  * Add patch to fix running the server with /dev/null as stdin.
    In particular, this makes it suitable for the systemd service in the
    quake package. (Closes: #1032276)
  * Standards-Version: 4.6.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 07 Mar 2023 11:56:29 +0000

quakespasm (0.95.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Tue, 08 Nov 2022 08:57:52 +0100

quakespasm (0.95.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 16 Sep 2022 11:47:49 +0200
