=== debian/control ===
Source: quakespasm
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: David Banks <amoebae@gmail.com>,
           Simon McVittie <smcv@debian.org>,
           Stephen Kitt <skitt@debian.org>
Section: games
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libflac-dev,
               libmad0-dev,
               libmikmod-dev,
               libopusfile-dev,
               libsdl2-dev,
               libvorbis-dev
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/games-team/quakespasm
Vcs-Git: https://salsa.debian.org/games-team/quakespasm.git
Homepage: http://quakespasm.sourceforge.net/

Package: quakespasm
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Provides: quake-engine,
          quake-engine-server
Description: engine for iD software's Quake
 QuakeSpasm is a Unix-friendly Quake engine based on the SDL port of the
 popular FitzQuake. It includes some new features, important fixes, and aims
 for portability and correctness.
 .
 This package contains no data files. To use it, you will need to either
 install the commercial Quake data, or alternative free data files such as
 OpenQuartz.
 .
 This engine is typically used via a script that launches it with a particular
 data set, such as the one found in the "quake" package.
