## quakespasm 0.96.1+dfsg

=== debian/changelog ===
quakespasm (0.96.1+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:24:17 +1100

quakespasm (0.96.1+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libflac12t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 14:58:17 +0000

quakespasm (0.96.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 21 Oct 2023 18:06:50 +0200

quakespasm (0.96.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 07 Sep 2023 21:27:16 +0200
