=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: quakespasm
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: David Banks <amoebae@gmail.com>,
            Simon McVittie <smcv@debian.org>,
            Stephen Kitt <skitt@debian.org>
