## quakespasm 0.96.2+dfsg

=== debian/changelog ===
quakespasm (0.96.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.7.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 13 Jun 2024 09:01:05 +0200
