## quakespasm 0.96.3+dfsg

=== Quake/Makefile ===
--- 
+++ 
@@ -35,9 +35,9 @@
 
 # ---------------------------
 
-HOST_OS := $(shell uname|sed -e s/_.*//|tr '[:upper:]' '[:lower:]')
-
-DEBUG   ?= 0
+HOST_OS = $(shell uname|sed -e s/_.*//|tr '[:upper:]' '[:lower:]')
+
+DEBUG ?= 0
 
 # ---------------------------
 # build variables
@@ -50,7 +50,7 @@
 PKG_CONFIG ?= pkg-config
 
 CPUFLAGS=
-LDFLAGS =
+LDFLAGS?=
 DFLAGS ?=
 CFLAGS ?= -Wall -Wno-trigraphs -MMD
 CFLAGS += $(call check_gcc,-std=gnu11,)
@@ -75,26 +75,6 @@
 CFLAGS += -DDO_USERDIRS=1
 endif
 
-### X11BASE only gets used if its in an unusual place
-
-X11DIRS := /usr/X11R7 /usr/local/X11R7 /usr/X11R6 /usr/local/X11R6
-X11BASE_GUESS := $(shell \
-	if [ -e /usr/include/X11/Xlib.h ] && \
-		[ -e /usr/lib/libX11.a ]; then exit 0; fi; \
-	if [ -e /usr/local/include/X11/Xlib.h ] && \
-		[ -e /usr/local/lib/libX11.a ]; then exit 0; fi; \
-	for DIR in $(X11DIRS); do \
-            if [ -e $$DIR/include/X11/Xlib.h ] && \
-		[ -e $$DIR/lib/libX11.a ]; then echo $$DIR; break; fi; \
-	done )
-
-X11BASE	?= $(X11BASE_GUESS)
-
-ifneq ($(X11BASE),)
-LDFLAGS+= -L$(X11BASE)/lib
-CFLAGS += -I$(X11BASE)/include
-endif
-
 ifeq ($(USE_SDL2),1)
 CFLAGS += -DUSE_SDL2
 endif
@@ -104,13 +84,15 @@
 else
 SDL_CONFIG ?= sdl-config
 endif
-SDL_CFLAGS := $(shell $(SDL_CONFIG) --cflags)
-SDL_LIBS   := $(shell $(SDL_CONFIG) --libs)
-
+SDL_CFLAGS = $(shell $(SDL_CONFIG) --cflags)
+SDL_LIBS   = $(shell $(SDL_CONFIG) --libs)
+
+NET_LIBS   =
 ifeq ($(HOST_OS),sunos)
-NET_LIBS   :=-lsocket -lnsl -lresolv
-else
-NET_LIBS   :=
+NET_LIBS   =-lsocket -lnsl -lresolv
+endif
+ifeq ($(HOST_OS),haiku)
+NET_LIBS   =-lnetwork
 endif
 
 ifneq ($(VORBISLIB),vorbis)
@@ -140,7 +122,7 @@
 lib_vorbisdec=-lvorbisidec -logg
 endif
 
-CODECLIBS  :=
+CODECLIBS  =
 ifeq ($(USE_CODEC_WAVE),1)
 CFLAGS+= -DUSE_CODEC_WAVE
 endif
@@ -180,15 +162,19 @@
 CFLAGS+= -DUSE_CODEC_UMX
 endif
 
-COMMON_LIBS:= -lm -lGL
-
-LIBS := $(COMMON_LIBS) $(NET_LIBS) $(CODECLIBS)
+ifeq ($(HOST_OS),haiku)
+COMMON_LIBS= -lGL
+else
+COMMON_LIBS= -lGL -lm
+endif
+
+LIBS = $(COMMON_LIBS) $(NET_LIBS) $(CODECLIBS)
 
 # ---------------------------
 # objects
 # ---------------------------
 
-MUSIC_OBJS:= bgmusic.o \
+MUSIC_OBJS= bgmusic.o \
 	snd_codec.o \
 	snd_flac.o \
 	snd_wave.o \
@@ -200,14 +186,14 @@
 	snd_modplug.o \
 	snd_xmp.o \
 	snd_umx.o
-COMOBJ_SND := snd_dma.o snd_mix.o snd_mem.o $(MUSIC_OBJS)
-SYSOBJ_SND := snd_sdl.o
-SYSOBJ_CDA := cd_sdl.o
-SYSOBJ_INPUT := in_sdl.o
-SYSOBJ_GL_VID:= gl_vidsdl.o
-SYSOBJ_NET := net_bsd.o net_udp.o
-SYSOBJ_SYS := pl_linux.o sys_sdl_unix.o
-SYSOBJ_MAIN:= main_sdl.o
+COMOBJ_SND = snd_dma.o snd_mix.o snd_mem.o $(MUSIC_OBJS)
+SYSOBJ_SND = snd_sdl.o
+SYSOBJ_CDA = cd_sdl.o
+SYSOBJ_INPUT = in_sdl.o
+SYSOBJ_GL_VID= gl_vidsdl.o
+SYSOBJ_NET = net_bsd.o net_udp.o
+SYSOBJ_SYS = pl_linux.o sys_sdl_unix.o
+SYSOBJ_MAIN= main_sdl.o
 
 GLOBJS = \
 	gl_refrag.o \
@@ -230,7 +216,7 @@
 	r_brush.o \
 	gl_model.o
 
-OBJS := strlcat.o \
+OBJS = strlcat.o \
 	strlcpy.o \
 	$(GLOBJS) \
 	$(SYSOBJ_INPUT) \
@@ -279,7 +265,7 @@
 
 .PHONY:	clean debug release
 
-DEFAULT_TARGET := quakespasm
+DEFAULT_TARGET = quakespasm
 all: $(DEFAULT_TARGET)
 
 %.o:	%.c
@@ -296,7 +282,15 @@
 clean:
 	$(RM) *.o *.d $(DEFAULT_TARGET)
 
+ifeq ($(HOST_OS),haiku)
+QS_APP_DIR=$(shell finddir B_APPS_DIRECTORY)/QuakeSpasm/
+install:	quakespasm
+	mkdir -p $(QS_APP_DIR)
+	cp quakespasm $(QS_APP_DIR)
+	cp quakespasm.pak $(QS_APP_DIR)
+else
 install:	quakespasm
 	cp quakespasm /usr/local/games/quake
+endif
 
 sinclude $(OBJS:.o=.d)
