=== debian/changelog ===
quakespasm (0.96.3+dfsg-2) unstable; urgency=medium

  * d/salsa-ci.yml: Use recommended recipe
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 19 Aug 2025 08:49:56 +0100

quakespasm (0.96.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 04 Aug 2024 09:19:48 +0200
