=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: quakespasm
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: David Banks <amoebae@gmail.com>,
            Simon McVittie <smcv@debian.org>,
            Stephen Kitt <skitt@debian.org>
@@ -14,7 +13,7 @@
                libsdl2-dev,
                libvorbis-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/games-team/quakespasm
 Vcs-Git: https://salsa.debian.org/games-team/quakespasm.git
 Homepage: http://quakespasm.sourceforge.net/
