=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --sourcedirectory=Quake

ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
maybe_debug = DEBUG=0
else
maybe_debug = DEBUG=1
endif

override_dh_auto_build:
	dh_auto_build -- \
		$(maybe_debug) \
		STRIP=": do not strip:" \
		DFLAGS="$(CPPFLAGS)" \
		DO_USERDIRS=1 \
		USE_SDL2=1 \
		USE_CODEC_FLAC=1 \
		USE_CODEC_OPUS=1 \
		USE_CODEC_MIKMOD=1 \
		USE_CODEC_UMX=1
	dh_auto_build --sourcedirectory=Misc/qs_pak

override_dh_auto_install:
